module Admin::PluginsHelper
  
  def render_plugin_list
    ret = ''
		
    ret << "<div class=\"subnav\">"
    ret << "<div id=\"module-nav\">"
    ret << "<div class=\"arrow_next pull-right\"><i class=\"icon-chevron-right\"></i></div>"
    ret << "<div class=\"arrow_prev pull-left\"><i class=\"icon-chevron-left\"></i></div>"
    ret << "<div class=\"module-nav-view\">"
    
    ret << "<ul class=\"nav nav-pills\">"
	  
    @plugins.each do |plugin|
      ret << "<li>"
	  ret << (link_to eval("#{plugin.title}") , eval("panel_#{plugin.title}_back_end_#{plugin.object}s_path")) rescue nil
	  ret << "</li>"
    end
	  
    ret << "</ul>"
	
    ret << "</div>"
    ret << "</div>"
    ret << "</div>"
    
    ret.html_safe
	
  end
  
end
